org.openmuc.josistack

## Class ByteBufferInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.openmuc.josistack.ByteBufferInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public final class ByteBufferInputStream
    extends java.io.InputStream

Simple InputStream wrapper around a `ByteBuffer` object

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferInputStream(java.nio.ByteBuffer buf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferInputStream

    public ByteBufferInputStream(java.nio.ByteBuffer buf)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`